Ayuda para instalara java en amd64

Imagen de jagalinux
0 puntos

hola que mas ala comunidad, tengo un amd64 y acabno de instalar el ubuntu, perop necesito instalar java y no lo he logrado, descarge la version que viene con el NetBeans para instalarlo pero no sale nada y al usar la version normal me sale que no se puede instalar, estube buscando si existe java para amd64 y no lo he encontrado o talves no exista.

gracias

Imagen de j666
+1
0
-1

Hola el java lo puedes encontrar en estos repositorios:

## amd64 users repository
deb http://tamir.nooms.de/ubuntu/ hoary main

## amd64 packages testers repository
deb http://tamir.nooms.de/ubuntu/ tests main

Aki podras encontrar el java y algunos programas mas... pero te recomiendo ke pongas estos repositorios te bajes el java y si te interesa alguna cosa mas.. y despues los (kites) con poner # antes de deb sobra y de esta manera si los vuelves a necesitar los descomentas otra vez y ya esta, te digo esto porke en estos repositorios hay algunas cosas ke aun no funcionan bien del todo (como una version de firefox), y si los dejas puestos el actualizador de ubuntu intentara actualizarte algunas cosas.

programas ke hay en los repositorios:

The following packages already built:

* the whole Enlightement 0.17 from CVS (+evidence)
* sun-j2re1.5 - Java(TM) 2 RE, Standard Edition, Sun Microsystems(TM)
* sun-j2sdk1.5 - Java(TM) 2 SDK, Standard Edition, Sun Microsystems(TM)
* blackdown-j2sdk1.4 - Java(TM) 2 SDK, Standard Edition, Blackdown
* blackdown-j2re1.4 - Java(TM) 2 RE, Standard Edition, Blackdown
* gnomebaker 0.4
* freeciv 2.0.3 (thanks to filterban that made it)
* gdesklets 0.35.2
* splashy (on tests)

Linux Kernel with ubuntu patches (on tests repository):

* kernel-image-2.6.12-amd64-k8 (2.6.12-4.4)
* kernel-headers-2.6.12-amd64-k8 (2.6.12-4.4)

Esound Packages:

* esound
* esound-clients
* esound-common
* libesd0
* libesd0-dev
* libesd-alsa0

Firefox:

* firefox 1.0.5
* firefox-dev 1.0.5
* firefox-dom-inspector 1.0.5
* firefox-gnome-support 1.0.5
* mozilla-firefox-dev 1.0.5

Firefox deer park (Unstable!!! Backup your data. not ready to use):

* mozilla-firefox (1.0.99+deerpark-alpha2-1)
* mozilla-firefox-dom-inspector (1.0.99+deerpark-alpha2-1)
* mozilla-firefox-gnome-support (1.0.99+deerpark-alpha2-1)

KDE 3.4.1:

* arts (arts, libartsc0, libarts1-dev, libartsc0-dev, libarts1)
* kdeaccessibility (kdeaccessibility, kmag, kmousetool, kmouth)

Todo List:

* acroread
* xmame/xmess 0.97
* koffice
* (currently not updated, I have too packages to build)

Denied Packages:

* wine - Currently there is not way to build it on amd64
* skype (I will try to) - Currently there is not way to build it
* openoffice 2 Beta - Currently there is not way to build it on amd64

Testers:

* DancingSun
* eolo999
* jensyt
* jon_gunnar

+1
0
-1
Imagen de jagalinux
+1
0
-1

probe lo que recomendaste, pero no funcionó, buscando en internet encontre la maquina virtual de linux para 64bits y probe el siguiente manual http://www.java.com/en/download/help/5000011300.xml#rpm y al intentar instalar sale que no encuentra el directorio /var/lib/rpm y no sigue instalando, lo busque graficamente y efectivamente no existe, entonces que hago?

gracias por tu ayuda.

+1
0
-1
Imagen de j666
+1
0
-1

Pues no se.. has probado con el java blackdown ke tambien esta en los repositorios?
pruebalo haber si funciona..

+1
0
-1
Imagen de jagalinux
+1
0
-1

estoy ahora intentando de otra forma con el tipico ./(nombre del archivo).bin , empieza bien, acepta los terminos pero despues sale el siguiente error:

Unpacking...
Checksumming...
0
0
Extracting...
UnZipSFX 5.50 of 17 February 2002, by Info-ZIP (Zip-Bugs@lists.wku.edu).
inflating: jdk-1_5_0_03-linux-amd64.rpm
error: failed dependencies:
glibc >= 2.1.2-11 is needed by jdk-1.5.0_03-fcs
sh-utils >= 2.0-1 is needed by jdk-1.5.0_03-fcs
fileutils >= 4.0-8 is needed by jdk-1.5.0_03-fcs
gawk >= 3.0.4-1 is needed by jdk-1.5.0_03-fcs
textutils >= 2.0-2 is needed by jdk-1.5.0_03-fcs
/bin/sh is needed by jdk-1.5.0_03-fcs

Done.

y se detiene la instalación, entonces que hago?

gracias por la ayuda.

+1
0
-1